<?php

defined('TYPO3') or die();

$GLOBALS['TYPO3_CONF_VARS']['SYS']['formEngine']['nodeRegistry'][1587983485] = [
    'nodeName' => 'ig_googlemaps',
    'priority' => 40,
    'class'    => \Ig\IgGooglemaps\Form\Element\MapElement::class,
];

$GLOBALS['TYPO3_CONF_VARS']['SYS']['formEngine']['nodeRegistry'][1587983486] = [
    'nodeName' => 'geocode',
    'priority' => 80,
    'class'    => \Ig\IgGooglemaps\Utility\Geocode::class,
];

$GLOBALS['TYPO3_CONF_VARS']['SYS']['formEngine']['nodeRegistry'][1587983487] = [
    'nodeName' => 'geocodeSectionIrre',
    'priority' => 80,
    'class'    => \Ig\IgGooglemaps\Utility\Geocode::class,
];

\TYPO3\CMS\Extbase\Utility\ExtensionUtility::configurePlugin(
	'IgGooglemaps',
	'Maps',
	[
        \Ig\IgGooglemaps\Controller\MapsController::class => 'list',

    ],
	// non-cacheable actions
	[

	]
);

// wizards
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addPageTSConfig(
    'mod {
            wizards.newContentElement.wizardItems.plugins {
                elements {
                    ig_googlemaps_maps {
                        iconIdentifier = ig_googlemaps_maps-icon
                        title = LLL:EXT:ig_googlemaps/Resources/Private/Language/locallang_db.xlf:tx_iggooglemaps_maps.name
                        description = LLL:EXT:ig_googlemaps/Resources/Private/Language/locallang_db.xlf:tx_iggooglemaps_maps.description
                        tt_content_defValues {
                            CType = list
                            list_type = iggooglemaps_maps
                        }
                    }
                }
                show = *
            }
       }'
);
$iconRegistry = \TYPO3\CMS\Core\Utility\GeneralUtility::makeInstance(\TYPO3\CMS\Core\Imaging\IconRegistry::class);

$iconRegistry->registerIcon(
    'ig_googlemaps_maps-icon',
    \TYPO3\CMS\Core\Imaging\IconProvider\SvgIconProvider::class,
    ['source' => 'EXT:ig_googlemaps/Resources/Public/Icons/tx_iggooglemaps_maps_icon.svg']
);
